Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.marshal
Interface VersionedUnMarshaller

All Superinterfaces:
  java.io.Serializable, SerialUnMarshaller, UnMarshaller

All Known Implementing Classes:
  CompressingUnMarshaller, EncryptingUnMarshaller, HTTPUnMarshaller, SerializableUnMarshaller

    public interface VersionedUnMarshaller

extends SerialUnMarshaller

Version:
  $Revision: 2383 $

  Copyright May 7, 2007

Author:
  Ron Sigal

Method Summary
`java.lang.Object` | `read(java.io.InputStream inputStream, java.util.Map metadata, int version)` Will read from the inputstream and converty contents to java Object.

Methods inherited from interface org.jboss.remoting.marshal.SerialUnMarshaller
`getSerializationType, setSerializationType`

Methods inherited from interface org.jboss.remoting.marshal.UnMarshaller
`cloneUnMarshaller, read, setClassLoader`

Method Detail

### read

    java.lang.Object read(java.io.InputStream inputStream,
                          java.util.Map metadata,
                          int version)
                          throws java.io.IOException,
                                 java.lang.ClassNotFoundException

  Will read from the inputstream and converty contents to java Object.

  Parameters:
    `inputStream` - stream to read data from to do conversion.
    `metadata` - can be any transport specific metadata (such as headers from http transport). This can be null, depending on if transport supports metadata.
    `version` - wire format version
  Returns:
  Throws:
    `java.io.IOException` - all specific i/o exceptions need to be thrown as this.
    `java.lang.ClassNotFoundException` - will be thrown if during the unmarshalling process can not find a specific class within classloader.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.